Subject: Re: bug#16807: 24.3.50; changes in advice.el break multi-term.el

From: Stefan Monnier <[email-masked]>
Date: Fri, 28 Feb 2014 08:56:59 -0500

> (defmacro ad-macro-p (definition)

multi-term.el can use the new `macrop' instead.  But I don't see any use
of ad-macro-p in
https://github.com/milkypostman/multi-term/blob/master/multi-term.el

> (defun ad-advised-definition-p (definition)

multi-term.el doesn't really need this anyway, it seems.  I.e. you can
just replace it with (defun ad-advised-definition-p (def) t))

Both of these were too internal to be worth providing (even as obsolete
definitions).

        Stefan